      SUBROUTINE MEXFUNCTION(NLHS, PLHS, NRHS, PRHS)

C-----------------------------------------------------------------------
C     (integer) Replace integer by integer*8 on the DEC Alpha and the
C     SGI 64-bit platforms
C
      INTEGER PLHS(*), PRHS(*)

C-----------------------------------------------------------------------
C

      INTEGER NLHS, NRHS
      CHARACTER*100 string
      REAL*8 x, y
C
C      WRITE(6,*) 'hello'
      CALL MEXPRINTF("hello")
C     PRINT *, 'hello'
C
	x=5.
	y=10.
	WRITE(string,'("i want this ",F," and ",F,"and furthermore ",I)') x,y,50
        CALL MEXPRINTF(string)

      RETURN
      END

